Bug 737574 - Review Request: lis - A library for solving linear equations and eigenvalue problems
Summary: Review Request: lis - A library for solving linear equations and eigenvalue p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Golo Fuchert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 15:34 UTC by Susi Lehtola
Modified: 2011-10-04 18:34 UTC (History)
3 users (show)

Fixed In Version: lis-1.2.53-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-27 23:05:59 UTC
packages: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Susi Lehtola 2011-09-12 15:34:34 UTC
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/lis.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/lis-1.2.53-1.fc15.src.rpm

Upstream URL:
http://www.ssisc.org/lis/index.en.html


Description:
Lis, a Library of Iterative Solvers for linear systems, is a scalable parallel
library for solving systems of linear equations and standard eigenvalue
problems with real sparse matrices using iterative methods. 


rpmlint output:

lis.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
lis.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
lis.x86_64: W: shared-lib-calls-exit /usr/lib64/liblis.so.0.0.0 exit@GLIBC_2.2.5
lis-devel.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
lis-devel.x86_64: W: no-documentation
lis-doc.noarch: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
5 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 1 Golo Fuchert 2011-09-18 11:02:29 UTC
Hej Jussi,

almost nothing to complain about!
Here is the formal review:

$ rpmlint RPMS/x86_64/lis-1.2.53-1.fc15.x86_64.rpm SPECS/lis.spec SRPMS/lis-1.2.53-1.fc15.src.rpm 
lis.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
lis.x86_64: W: shared-lib-calls-exit /usr/lib64/liblis.so.0.0.0 exit@GLIBC_2.2.5
lis.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

No blocker here, upstream could be asked if the shared-lib-calls-exit is intended

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    BSD according to source file headers and included COPYING file

[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
$ md5sum lis-1.2.53.tar.gz.*
275597239e7c47ab5aadeee7b7e2c6ce  lis-1.2.53.tar.gz.packaged
275597239e7c47ab5aadeee7b7e2c6ce  lis-1.2.53.tar.gz.upstream

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[+] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files must go in a -doc subpackage.
	Man, that is a documentation-wonderland! Kudos to upstream...
[+] MUST: Files in %doc must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: unversioned library file (*.so)  must go in the -devel package.
[+] MUST: devel packages must require the base package using a fully versioned
dependency
[+] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with
desktop-file-install/-validate in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All file names in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
separate file ...
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) should be placed in a -devel pkg. 
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. 

----------------

Comments: The -doc subpackage does not require the base package. This is of
  course not needed. However, since the pdf's packaged in the doc subpackage
  are from the source tarball, I would assume that they also fall under the
  same license.
  Then the doc subpackage should either require the base package or contain
  a copy of the license file:
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing
  So please apply one of those options or prove me wrong. ;-) 

----------------
Package APPROVED
----------------

Comment 2 Susi Lehtola 2011-09-18 16:29:54 UTC
Thanks for the review! I've added COPYING to -doc.

New Package SCM Request
=======================
Package Name: lis
Short Description: A library for solving linear equations and eigenvalue problems
Owners: jussilehtola
Branches: EL-5 EL-6 F-15 F-16
InitialCC:

Comment 3 Gwyn Ciesla 2011-09-19 01:42:37 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-09-19 17:40:01 UTC
lis-1.2.53-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lis-1.2.53-3.fc16

Comment 5 Fedora Update System 2011-09-19 17:40:10 UTC
lis-1.2.53-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lis-1.2.53-3.el6

Comment 6 Fedora Update System 2011-09-19 17:40:18 UTC
lis-1.2.53-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lis-1.2.53-3.el5

Comment 7 Fedora Update System 2011-09-19 17:40:27 UTC
lis-1.2.53-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lis-1.2.53-3.fc15

Comment 8 Fedora Update System 2011-09-19 23:02:35 UTC
lis-1.2.53-3.fc15 has been pushed to the Fedora 15 testing repository.

Comment 9 Fedora Update System 2011-09-27 23:05:52 UTC
lis-1.2.53-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-09-30 18:51:23 UTC
lis-1.2.53-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 11 Fedora Update System 2011-10-04 18:33:32 UTC
lis-1.2.53-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2011-10-04 18:34:21 UTC
lis-1.2.53-3.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.